%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test2-Suite
Version:       0.000162
Release:       1mamba
Summary:       Test2::V0 - 0Th edition of the Test2 recommended bundle
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Test2-Suite-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-Term-Table
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
Test2::V0 - 0Th edition of the Test2 recommended bundle.

%prep
%setup -q -n Test2-Suite-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 0.000162-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 0.000160-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 0.000159-1mamba
- automatic version update by autodist

* Mon Oct 23 2023 Automatic Build System <autodist@mambasoft.it> 0.000158-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 0.000156-1mamba
- automatic version update by autodist

* Sat Apr 29 2023 Automatic Build System <autodist@mambasoft.it> 0.000155-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 0.000153-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 0.000152-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.000150-2mamba
- rebuilt with perl 5.36.0

* Tue Mar 21 2023 Automatic Build System <autodist@mambasoft.it> 0.000150-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 0.000148-1mamba
- automatic version update by autodist

* Sun Mar 05 2023 Automatic Build System <autodist@mambasoft.it> 0.000147-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 0.000145-1mamba
- automatic version update by autodist

* Mon Jan 10 2022 Automatic Build System <autodist@mambasoft.it> 0.000144-1mamba
- automatic version update by autodist

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.000140-1mamba
- package created using the webbuild interface
